diff -Nru dist-3.5-36.0001/bin/Jmakefile dist-3.5-236/bin/Jmakefile
--- dist-3.5-36.0001/bin/Jmakefile	2010-11-29 00:05:09.000000000 +0100
+++ dist-3.5-236/bin/Jmakefile	2017-10-24 22:43:40.000000000 +0200
@@ -2,7 +2,7 @@
  * Jmakefile for bin subdirectory.
  */
 
-;# $Id: Jmakefile 48 2010-11-28 23:05:09Z rmanfredi $
+;# $Id$
 ;#
 ;#  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 ;#  
diff -Nru dist-3.5-36.0001/bin/manicheck.man dist-3.5-236/bin/manicheck.man
--- dist-3.5-36.0001/bin/manicheck.man	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/bin/manicheck.man	2018-05-20 22:49:04.000000000 +0200
@@ -1,4 +1,4 @@
-.\" $Id: manicheck.man 3 2006-08-25 21:39:07Z rmanfredi $
+.\" $Id$
 .\"
 .\"  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 .\"  
diff -Nru dist-3.5-36.0001/bin/manicheck.SH dist-3.5-236/bin/manicheck.SH
--- dist-3.5-36.0001/bin/manicheck.SH	2006-08-24 14:32:52.000000000 +0200
+++ dist-3.5-236/bin/manicheck.SH	2017-10-24 22:43:40.000000000 +0200
@@ -19,7 +19,7 @@
 $startsh
 !GROK!THIS!
 $spitshell >>manicheck <<'!NO!SUBS!'
-# $Id: manicheck.SH 1 2006-08-24 12:32:52Z rmanfredi $
+# $Id$
 #
 #  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 #  
diff -Nru dist-3.5-36.0001/bin/manilist.man dist-3.5-236/bin/manilist.man
--- dist-3.5-36.0001/bin/manilist.man	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/bin/manilist.man	2018-05-20 22:49:04.000000000 +0200
@@ -1,4 +1,4 @@
-.\" $Id: manilist.man 3 2006-08-25 21:39:07Z rmanfredi $
+.\" $Id$
 .\"
 .\"  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 .\"  
@@ -327,6 +327,6 @@
 of them.
 .PD
 .SH AUTHOR
-Raphael Manfredi <ram@hptnos02.grenoble.hp.com>
+Raphael Manfredi <Raphael.Manfredi@pobox.com>
 .SH "SEE ALSO"
 manifake(1), makedist(1), pat(1).
diff -Nru dist-3.5-36.0001/bin/manilist.SH dist-3.5-236/bin/manilist.SH
--- dist-3.5-36.0001/bin/manilist.SH	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/bin/manilist.SH	2018-05-20 22:49:04.000000000 +0200
@@ -20,7 +20,7 @@
 	eval 'exec perl -S \$0 \${1+"\$@"}'
 		if \$running_under_some_shell;
 
-# $Id: manilist.SH 31 2010-03-06 20:15:24Z rmanfredi $
+# $Id$
 #
 #  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 #
@@ -213,7 +213,7 @@
 }
 
 @manifest = sort @manifest;
-@files = sort @files if defined(@files);
+@files = sort @files if @files;
 
 # Build up the %manifest array so that we quickly know whether a file is in the
 # manifest or not.
diff -Nru dist-3.5-36.0001/bin/packinit.man dist-3.5-236/bin/packinit.man
--- dist-3.5-36.0001/bin/packinit.man	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/bin/packinit.man	2018-05-20 22:49:04.000000000 +0200
@@ -1,4 +1,4 @@
-.\" $Id: packinit.man 3 2006-08-25 21:39:07Z rmanfredi $
+.\" $Id$
 .\"
 .\"  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 .\"  
@@ -143,6 +143,6 @@
 .SH AUTHORS
 Larry Wall <lwall@netlabs.com> (version 2.0)
 .br
-Raphael Manfredi <ram@hptnos02.grenoble.hp.com>
+Raphael Manfredi <Raphael.Manfredi@pobox.com>
 .SH "SEE ALSO"
 dist(7).
diff -Nru dist-3.5-36.0001/bin/packinit.SH dist-3.5-236/bin/packinit.SH
--- dist-3.5-36.0001/bin/packinit.SH	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/bin/packinit.SH	2018-05-20 22:49:04.000000000 +0200
@@ -16,12 +16,12 @@
 esac
 echo "Extracting bin/packinit (with variable substitutions)"
 cat >packinit <<!GROK!THIS!
-#! /usr/bin/perl
+#!/usr/bin/perl
 # feed this into perl
 	eval 'exec perl -S \$0 \${1+"\$@"}'
 		if \$running_under_some_shell;
 
-# $Id: packinit.SH 31 2010-03-06 20:15:24Z rmanfredi $
+# $Id$
 #
 #  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 #  
@@ -192,6 +192,19 @@
 $shext = &myread('Additional file extensions to identify SH files?', $dflt);
 $shext = '' if $shext eq 'none';
 
+$dflt = 'none';
+print <<'EOM';
+
+If your package sources contains symbols that metaconfig will mistake for the
+names of symbols defined by its units, you can list them in an exclusions file.
+(See the documentation of "metaconfig -X".) What file would you like metaconfig
+to consult for those symbols? Say "none" if you don't need to exclude any
+symbols.
+
+EOM
+$exclusions_file = &myread('File to consult for excluded symbols?', $dflt);
+$exclusions_file = '' if $exclusions_file eq 'none';
+
 $dflt = $copyright eq ' ' ? 'n' : 'y';
 print <<'EOM';
 
@@ -427,6 +440,8 @@
 : File lookup extensions
 cext='$cext'
 shext='$shext'
+: File to consult for symbol exclusions
+exclusions_file='$exclusions_file'
 : Mailing list variables
 list_users='$list_users'
 list_name='$list_name'
diff -Nru dist-3.5-36.0001/bin/perload dist-3.5-236/bin/perload
--- dist-3.5-36.0001/bin/perload	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/bin/perload	2018-05-20 22:49:04.000000000 +0200
@@ -635,7 +635,7 @@
 prior to 4.0, so any script using this optimized form of dataloading will not
 be 100% backward compatible.
 .SH AUTHOR
-Raphael Manfredi <ram@acri.fr>
+Raphael Manfredi <Raphael.Manfredi@pobox.com>
 .SH CREDITS
 Valuable input came from Wayne H. Scott <wscott@ecn.purdue.edu>. He is
 merely the author of the optimizing offset table (\fB\-o\fR option).
diff -Nru dist-3.5-36.0001/bin/svn-revision dist-3.5-236/bin/svn-revision
--- dist-3.5-36.0001/bin/svn-revision	2010-11-28 19:15:13.000000000 +0100
+++ dist-3.5-236/bin/svn-revision	2017-10-24 22:43:40.000000000 +0200
@@ -14,6 +14,10 @@
 # Computes SVN current revision number, if possible, emitting it in
 # the form of a #define for C perusal.
 #
+# On 2016-04-01, we switched to git so until we come up with a more elaborate
+# scheme, the current version number is computed by counting the amount of
+# commits made on the "master" branch.
+#
 
 LC_ALL=C
 export LC_ALL
@@ -28,8 +32,8 @@
 	oldrev=`grep REVISION "$FILE" 2>/dev/null | head -n1 | cut -d' ' -f4`
 fi
 
-if test -d "$TOP/.svn"; then
-  revnum=`svn info "$TOP" 2>/dev/null | grep '^Revision' | head -n1 | cut -d' ' -f2`
+if test -d "$TOP/.git"; then
+  revnum=`git log --oneline master | wc -l`
 else
   revnum="$oldrev" # keep as is
 fi
diff -Nru dist-3.5-36.0001/Credits dist-3.5-236/Credits
--- dist-3.5-36.0001/Credits	2006-08-24 14:32:52.000000000 +0200
+++ dist-3.5-236/Credits	2017-10-24 22:43:40.000000000 +0200
@@ -74,7 +74,7 @@
 Finally, thank you Shigeya Suzuki <shigeya@foretune.co.jp> for hosting the
 dist-users mailing list. Send mail to majordomo@foretune.co.jp to subscribe.
 
-	Raphael Manfredi <ram@acri.fr>
+	Raphael Manfredi <Raphael.Manfredi@pobox.com>
 	Lyon, France, August 1993
 
 [This section added by subsequent patches]
diff -Nru dist-3.5-36.0001/debian/changelog dist-3.5-236/debian/changelog
--- dist-3.5-36.0001/debian/changelog	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/debian/changelog	2018-05-20 22:49:04.000000000 +0200
@@ -1,3 +1,13 @@
+dist (1:3.5-236-0.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * New upstream snapshot (Closes: #898955)
+  * Fix some syntax errors in various scripts (Closes: #899207)
+  * Restore missing dependency libperl4-corelibs-perl
+  * Fix Lintian error by removing Build-Depends-Indep: dpkg-dev
+
+ -- Dominic Hargreaves <dom@earth.li>  Sun, 20 May 2018 22:35:58 +0200
+
 dist (1:3.5-36.0001-3) unstable; urgency=medium
 
   [ Helmut Grohne ]
diff -Nru dist-3.5-36.0001/debian/control dist-3.5-236/debian/control
--- dist-3.5-36.0001/debian/control	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/debian/control	2018-05-20 22:49:04.000000000 +0200
@@ -6,12 +6,12 @@
 Maintainer: Manoj Srivastava <srivasta@debian.org>
 Standards-Version: 4.1.3
 Build-Depends-Indep: debhelper (>= 11), sharutils, po-debconf,
-                     gettext, dpkg-dev
+                     gettext
 
 Package: dist
 Architecture: all
 Multi-Arch: foreign
-Depends: perl, debconf (>= 1.2.0) | debconf-2.0,
+Depends: perl, libperl4-corelibs-perl, debconf (>= 1.2.0) | debconf-2.0,
           ${misc:Depends}
 Description: Tools for developing, maintaining and distributing software
  The dist package is a set of tools meant to ease the construction
diff -Nru dist-3.5-36.0001/debian/rules dist-3.5-236/debian/rules
--- dist-3.5-36.0001/debian/rules	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/debian/rules	2018-05-20 22:49:04.000000000 +0200
@@ -57,6 +57,9 @@
 override_dh_install:
 	test -d $(MAN1DIR) || $(make_directory) $(MAN1DIR)
 	$(MAKE) install
+	for script in $(TMPTOP)/usr/bin/*; do    \
+        test `head -1 $$script` = '#!/usr/bin/perl' && perl -c $$script ;\
+    done
 	$(MAKE) install.man
 	$(make_directory) $(MAN7DIR)
 	(cd $(MAN1DIR); for file in $(PAT_EXEC) ; do \
diff -Nru dist-3.5-36.0001/dist.man dist-3.5-236/dist.man
--- dist-3.5-36.0001/dist.man	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/dist.man	2018-05-20 22:49:04.000000000 +0200
@@ -1,7 +1,7 @@
-.\" $Id: dist.man 3 2006-08-25 21:39:07Z rmanfredi $
+.\" $Id$
 .\"
 .\"  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-.\"
+.\"  
 .\"  You may redistribute only under the terms of the Artistic Licence,
 .\"  as specified in the README file that comes with the distribution.
 .\"  You may reuse parts of this distribution only within the terms of
@@ -31,7 +31,7 @@
 .\" Revision 3.0  1993/08/18  12:04:07  ram
 .\" Baseline for dist 3.0 netwide release.
 .\"
-.\"
+.\" 
 .de Ex		\" Start of Example
 .sp
 .in +5
@@ -308,7 +308,7 @@
 .br
 Harlan Stenn <harlan@mumps.pfcs.com> (worked on dist 3.0 1990-1992)
 .br
-Raphael Manfredi <ram@hptnos02.grenoble.hp.com> (dist 3.0 and
+Raphael Manfredi <Raphael.Manfredi@pobox.com> (dist 3.0 and
 integration 1991-1995)
 .sp
 Please look at the \fICredits\fR file in the distribution source tree for a
diff -Nru dist-3.5-36.0001/.gitignore dist-3.5-236/.gitignore
--- dist-3.5-36.0001/.gitignore	1970-01-01 01:00:00.000000000 +0100
+++ dist-3.5-236/.gitignore	2017-10-24 22:43:40.000000000 +0200
@@ -0,0 +1,42 @@
+.config/
+*.bak
+*.1
+Makefile
+bin/manicheck
+bin/manilist
+bin/packinit
+config.sh
+install
+jmake/Index
+jmake/bindex
+jmake/fixcpp
+jmake/jmake
+jmake/jmkmf
+kit/kitpost
+kit/kitsend
+kit/makedist
+kit/manifake
+mcon/Glossary
+mcon/makegloss
+mcon/mconfig
+mcon/metaconfig
+mcon/metalint
+mcon/metaxref
+mcon/mlint
+mcon/mxref
+pat/pat
+pat/patbase
+pat/patcil
+pat/patclean
+pat/patcol
+pat/patdiff
+pat/patftp
+pat/patindex
+pat/patlog
+pat/patmake
+pat/patname
+pat/patnotify
+pat/patpost
+pat/patsend
+pat/patsnap
+revision.h
diff -Nru dist-3.5-36.0001/install.SH dist-3.5-236/install.SH
--- dist-3.5-36.0001/install.SH	2008-05-28 09:58:50.000000000 +0200
+++ dist-3.5-236/install.SH	2017-10-24 22:43:40.000000000 +0200
@@ -19,7 +19,7 @@
 $startsh
 # @(#) Installing script accepting bsd-style arguments
 
-# $Id: install.SH 21 2008-05-28 07:58:50Z rmanfredi $
+# $Id$
 #
 #  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 #  
diff -Nru dist-3.5-36.0001/jmake/bindex.SH dist-3.5-236/jmake/bindex.SH
--- dist-3.5-36.0001/jmake/bindex.SH	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/jmake/bindex.SH	2018-05-20 22:49:04.000000000 +0200
@@ -22,7 +22,7 @@
 	eval 'exec perl -S $0 ${1+"$@"}'
 		if $running_under_some_shell;
 
-# $Id: bindex.SH 31 2010-03-06 20:15:24Z rmanfredi $
+# $Id$
 #
 #  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 #  
diff -Nru dist-3.5-36.0001/jmake/files/Jmake.rules dist-3.5-236/jmake/files/Jmake.rules
--- dist-3.5-36.0001/jmake/files/Jmake.rules	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/jmake/files/Jmake.rules	2018-05-20 22:49:04.000000000 +0200
@@ -1,12 +1,12 @@
 ;########################################################################
 ;# Jmake rules for building libraries, programs, scripts, and data files
-;# $Id: Jmake.rules 195 2015-04-27 21:30:17Z rmanfredi $
+;# $Id$
 
 /*
  *		   MACHINE-INDEPENDENT RULES -- DO NOT MODIFY
  */
 
-/* $Id: Jmake.rules 195 2015-04-27 21:30:17Z rmanfredi $
+/* $Id$
  *
  *  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
  *  
diff -Nru dist-3.5-36.0001/jmake/files/Jmake.tmpl dist-3.5-236/jmake/files/Jmake.tmpl
--- dist-3.5-36.0001/jmake/files/Jmake.tmpl	2015-04-12 11:48:11.000000000 +0200
+++ dist-3.5-236/jmake/files/Jmake.tmpl	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
 /*
  * Generic jmake template
  *
- * $Id: Jmake.tmpl 183 2015-04-12 09:48:11Z rmanfredi $
+ * $Id$
  *
  *  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
  *  
@@ -27,7 +27,7 @@
  */
 
 : Makefile.SH generated from Jmake.tmpl and Jmakefile <TAG>
-: $Id: Jmake.tmpl 183 2015-04-12 09:48:11Z rmanfredi $
+: $Id$
 
 /*************************************************************************
  *                                                                       *
diff -Nru dist-3.5-36.0001/jmake/fixcpp.SH dist-3.5-236/jmake/fixcpp.SH
--- dist-3.5-36.0001/jmake/fixcpp.SH	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/jmake/fixcpp.SH	2018-05-20 22:49:04.000000000 +0200
@@ -21,7 +21,7 @@
 	eval 'exec perl -S \$0 \${1+"\$@"}'
 		if \$running_under_some_shell;
 
-# $Id: fixcpp.SH 42 2010-11-28 18:15:13Z rmanfredi $
+# $Id$
 #
 #  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 #  
diff -Nru dist-3.5-36.0001/jmake/Jmakefile dist-3.5-236/jmake/Jmakefile
--- dist-3.5-36.0001/jmake/Jmakefile	2014-04-05 10:10:18.000000000 +0200
+++ dist-3.5-236/jmake/Jmakefile	2017-10-24 22:43:40.000000000 +0200
@@ -2,7 +2,7 @@
  * Jmakefile for jmake
  */
 
-;# $Id: Jmakefile 173 2014-04-05 08:10:18Z rmanfredi $
+;# $Id$
 ;#
 ;#  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 ;#  
diff -Nru dist-3.5-36.0001/jmake/jmake.man dist-3.5-236/jmake/jmake.man
--- dist-3.5-36.0001/jmake/jmake.man	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/jmake/jmake.man	2018-05-20 22:49:04.000000000 +0200
@@ -1,7 +1,7 @@
-.\" $Id: jmake.man 47 2010-11-28 22:23:13Z rmanfredi $
+.\" $Id$
 .\"
 .\"  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-.\"
+.\"  
 .\"  You may redistribute only under the terms of the Artistic Licence,
 .\"  as specified in the README file that comes with the distribution.
 .\"  You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/jmake/jmake.SH dist-3.5-236/jmake/jmake.SH
--- dist-3.5-36.0001/jmake/jmake.SH	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/jmake/jmake.SH	2018-05-20 22:49:04.000000000 +0200
@@ -21,7 +21,7 @@
 	eval 'exec perl -S \$0 \${1+"\$@"}'
 		if \$running_under_some_shell;
 
-# $Id: jmake.SH 47 2010-11-28 22:23:13Z rmanfredi $
+# $Id$
 #
 #  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 #  
diff -Nru dist-3.5-36.0001/jmake/jmkmf.man dist-3.5-236/jmake/jmkmf.man
--- dist-3.5-36.0001/jmake/jmkmf.man	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/jmake/jmkmf.man	2018-05-20 22:49:04.000000000 +0200
@@ -1,4 +1,4 @@
-.\" $Id: jmkmf.man 3 2006-08-25 21:39:07Z rmanfredi $
+.\" $Id$
 .\"
 .\"  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 .\"  
@@ -66,7 +66,7 @@
 and
 .I make Makefiles.
 .SH AUTHOR
-Raphael Manfredi <ram@hptnos02.grenoble.hp.com>
+Raphael Manfredi <Raphael.Manfredi@pobox.com>
 .SH FILES
 .PD 0
 .TP 20
diff -Nru dist-3.5-36.0001/jmake/jmkmf.SH dist-3.5-236/jmake/jmkmf.SH
--- dist-3.5-36.0001/jmake/jmkmf.SH	2006-08-24 14:32:52.000000000 +0200
+++ dist-3.5-236/jmake/jmkmf.SH	2017-10-24 22:43:40.000000000 +0200
@@ -21,7 +21,7 @@
 $spitshell >>jmkmf <<'!NO!SUBS!'
 # @(#) Generates a Makefile from a Jmakefile
 
-# $Id: jmkmf.SH 1 2006-08-24 12:32:52Z rmanfredi $
+# $Id$
 #
 #  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 #  
diff -Nru dist-3.5-36.0001/Jmakefile dist-3.5-236/Jmakefile
--- dist-3.5-36.0001/Jmakefile	2010-11-29 00:05:09.000000000 +0100
+++ dist-3.5-236/Jmakefile	2017-10-24 22:43:40.000000000 +0200
@@ -2,7 +2,7 @@
  * Main Jmakefile for dist 3.0
  */
 
-;# $Id: Jmakefile 48 2010-11-28 23:05:09Z rmanfredi $
+;# $Id$
 ;#
 ;#  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 ;#  
diff -Nru dist-3.5-36.0001/kit/Jmakefile dist-3.5-236/kit/Jmakefile
--- dist-3.5-36.0001/kit/Jmakefile	2010-11-29 00:05:09.000000000 +0100
+++ dist-3.5-236/kit/Jmakefile	2017-10-24 22:43:40.000000000 +0200
@@ -2,7 +2,7 @@
  * Jmakefile for kit maker
  */
 
-;# $Id: Jmakefile 48 2010-11-28 23:05:09Z rmanfredi $
+;# $Id$
 ;#
 ;#  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 ;#  
diff -Nru dist-3.5-36.0001/kit/kitpost.man dist-3.5-236/kit/kitpost.man
--- dist-3.5-36.0001/kit/kitpost.man	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/kit/kitpost.man	2018-05-20 22:49:04.000000000 +0200
@@ -1,4 +1,4 @@
-.\" $Id: kitpost.man 3 2006-08-25 21:39:07Z rmanfredi $
+.\" $Id$
 .\"
 .\"  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 .\"  
@@ -84,6 +84,6 @@
 It is not currently possible to set-up the article headers manually or
 better, interactively.
 .SH AUTHOR
-Raphael Manfredi <ram@hptnos02.grenoble.hp.com>
+Raphael Manfredi <Raphael.Manfredi@pobox.com>
 .SH "SEE ALSO"
 makedist(1), kitsend(1).
diff -Nru dist-3.5-36.0001/kit/kitpost.SH dist-3.5-236/kit/kitpost.SH
--- dist-3.5-36.0001/kit/kitpost.SH	2010-03-06 21:15:24.000000000 +0100
+++ dist-3.5-236/kit/kitpost.SH	2017-10-24 22:43:40.000000000 +0200
@@ -20,7 +20,7 @@
 	eval 'exec perl -S \$0 \${1+"\$@"}'
 		if \$running_under_some_shell;
 
-# $Id: kitpost.SH 31 2010-03-06 20:15:24Z rmanfredi $
+# $Id$
 #
 #  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 #  
diff -Nru dist-3.5-36.0001/kit/kitsend.man dist-3.5-236/kit/kitsend.man
--- dist-3.5-36.0001/kit/kitsend.man	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/kit/kitsend.man	2018-05-20 22:49:04.000000000 +0200
@@ -1,4 +1,4 @@
-.\" $Id: kitsend.man 3 2006-08-25 21:39:07Z rmanfredi $
+.\" $Id$
 .\"
 .\"  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 .\"  
diff -Nru dist-3.5-36.0001/kit/kitsend.SH dist-3.5-236/kit/kitsend.SH
--- dist-3.5-36.0001/kit/kitsend.SH	2010-03-06 21:15:24.000000000 +0100
+++ dist-3.5-236/kit/kitsend.SH	2017-10-24 22:43:40.000000000 +0200
@@ -20,7 +20,7 @@
 	eval 'exec perl -S \$0 \${1+"\$@"}'
 		if \$running_under_some_shell;
 
-# $Id: kitsend.SH 31 2010-03-06 20:15:24Z rmanfredi $
+# $Id$
 #
 #  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 #  
diff -Nru dist-3.5-36.0001/kit/makedist.man dist-3.5-236/kit/makedist.man
--- dist-3.5-36.0001/kit/makedist.man	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/kit/makedist.man	2018-05-20 22:49:04.000000000 +0200
@@ -1,5 +1,5 @@
 .rn '' }`
-.\" $Id: makedist.man 3 2006-08-25 21:39:07Z rmanfredi $
+.\" $Id$
 .\"
 .\"  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 .\"  
@@ -137,7 +137,7 @@
 .SH AUTHORS
 Larry Wall <lwall@netlabs.com> (version 2.0)
 .br
-Raphael Manfredi <ram@hptnos02.grenoble.hp.com>
+Raphael Manfredi <Raphael.Manfredi@pobox.com>
 .SH FILES
 Creates ./$package.kit* unless \fB\-c\fR option is used.
 .br
diff -Nru dist-3.5-36.0001/kit/makedist.SH dist-3.5-236/kit/makedist.SH
--- dist-3.5-36.0001/kit/makedist.SH	2010-03-06 21:15:24.000000000 +0100
+++ dist-3.5-236/kit/makedist.SH	2018-05-20 22:49:04.000000000 +0200
@@ -17,7 +17,7 @@
 	eval 'exec perl -S \$0 \${1+"\$@"}'
 		if \$running_under_some_shell;
 
-# $Id: makedist.SH 31 2010-03-06 20:15:24Z rmanfredi $
+# $Id$
 #
 #  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 #  
@@ -114,7 +114,7 @@
 		$list = $list[$kitnum];
 		$kit = sprintf("$package.kit" . $sp,$kitnum);
 		print "*** Making $kit ***\n";
-		open(KIT,">$curdir/$kit") || do fatal("Can't create $curdir/$kit: $!");
+		open(KIT,">$curdir/$kit") || &fatal("Can't create $curdir/$kit: $!");
 
 		&kitleader;
 
@@ -202,7 +202,7 @@
 	}
 
 	# Build a file PACKNOTES to reconstruct split files
-	if (defined %Chopped) {
+	if (%Chopped) {
 		open(PACKNOTES, ">$PACKNOTES") || &fatal("Can't create PACKNOTES: $!");
 		foreach (keys %Chopped) {
 			print PACKNOTES <<EOC;
@@ -248,9 +248,9 @@
 
 # Read manifest file and initialize the %comment array.
 sub maniread {
-	do fatal("You don't have a $NEWMANI file.  Run manifake")
+	&fatal("You don't have a $NEWMANI file.  Run manifake")
 		unless -f "$NEWMANI";
-	open(NEWMANI,$NEWMANI) || do fatal("Can't read $NEWMANI: $!");
+	open(NEWMANI,$NEWMANI) || &fatal("Can't read $NEWMANI: $!");
 	while (<NEWMANI>) {
 		($key,$val) = split(' ',$_,1) unless ($key,$val) = /^(\S+)\s+(.*)/;
 		$comment{$key} = $val;
@@ -266,14 +266,14 @@
 	# Add built packlist
 	$comment{$PACKLIST} = 'Which files came with which kits';
 
-	open(PACKLIST, ">$PACKLIST") || do fatal("Can't create $PACKLIST: $!");
+	open(PACKLIST, ">$PACKLIST") || &fatal("Can't create $PACKLIST: $!");
 	print PACKLIST
 "After all the $package kits are run you should have the following files:
 
 Filename                   Kit Description
 --------                   --- -----------
 ";
-	for (sort keys(comment)) {
+	for (sort keys(%comment)) {
 		printf PACKLIST "%-27s %2s %.47s\n", $_, $kit{$_}, $comment{$_};
 	}
 	close PACKLIST;
@@ -321,7 +321,7 @@
 	'')
 		echo \"You have run all your kits.\"
 EOM
-	if (defined %Chopped) {		# Some splitting occurred
+	if (%Chopped) {		# Some splitting occurred
 		print KIT <<EOM;
 		if test -f $PACKNOTES; then
 			sh $PACKNOTES
diff -Nru dist-3.5-36.0001/kit/makeSH.man dist-3.5-236/kit/makeSH.man
--- dist-3.5-36.0001/kit/makeSH.man	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/kit/makeSH.man	2018-05-20 22:49:04.000000000 +0200
@@ -1,4 +1,4 @@
-.\" $Id: makeSH.man 3 2006-08-25 21:39:07Z rmanfredi $
+.\" $Id$
 .\"
 .\"  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 .\"  
diff -Nru dist-3.5-36.0001/kit/manifake.man dist-3.5-236/kit/manifake.man
--- dist-3.5-36.0001/kit/manifake.man	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/kit/manifake.man	2018-05-20 22:49:04.000000000 +0200
@@ -1,4 +1,4 @@
-.\" $Id: manifake.man 3 2006-08-25 21:39:07Z rmanfredi $
+.\" $Id$
 .\"
 .\"  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 .\"  
@@ -32,7 +32,7 @@
 will typically be used when converting an existing package
 to use \fImetaconfig\fR or any other dist utility.
 .SH AUTHOR
-Raphael Manfredi <ram@hptnos02.grenoble.hp.com>
+Raphael Manfredi <Raphael.Manfredi@pobox.com>
 .SH FILES
 .PD 0
 .TP 20
diff -Nru dist-3.5-36.0001/kit/manifake.SH dist-3.5-236/kit/manifake.SH
--- dist-3.5-36.0001/kit/manifake.SH	2010-03-06 21:15:24.000000000 +0100
+++ dist-3.5-236/kit/manifake.SH	2017-10-24 22:43:40.000000000 +0200
@@ -20,7 +20,7 @@
 	eval 'exec perl -S \$0 \${1+"\$@"}'
 		if \$running_under_some_shell;
 
-# $Id: manifake.SH 31 2010-03-06 20:15:24Z rmanfredi $
+# $Id$
 #
 #  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 #  
diff -Nru dist-3.5-36.0001/lib/C/fake/Jmakefile dist-3.5-236/lib/C/fake/Jmakefile
--- dist-3.5-36.0001/lib/C/fake/Jmakefile	2006-08-26 00:31:50.000000000 +0200
+++ dist-3.5-236/lib/C/fake/Jmakefile	2017-10-24 22:43:40.000000000 +0200
@@ -2,7 +2,7 @@
  * Jmakefile for C/fake subdirectory.
  */
 
-;# $Id: Jmakefile 9 2006-08-25 22:31:50Z rmanfredi $
+;# $Id$
 ;#
 ;#  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 ;#  
diff -Nru dist-3.5-36.0001/lib/C/Jmakefile dist-3.5-236/lib/C/Jmakefile
--- dist-3.5-36.0001/lib/C/Jmakefile	2006-08-25 23:39:07.000000000 +0200
+++ dist-3.5-236/lib/C/Jmakefile	2017-10-24 22:43:40.000000000 +0200
@@ -2,7 +2,7 @@
  * Jmakefile for C subdirectory.
  */
 
-;# $Id: Jmakefile 3 2006-08-25 21:39:07Z rmanfredi $
+;# $Id$
 ;#
 ;#  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 ;#  
diff -Nru dist-3.5-36.0001/lib/Jmakefile dist-3.5-236/lib/Jmakefile
--- dist-3.5-36.0001/lib/Jmakefile	2006-08-26 00:09:39.000000000 +0200
+++ dist-3.5-236/lib/Jmakefile	2017-10-24 22:43:40.000000000 +0200
@@ -2,7 +2,7 @@
  * Jmakefile for lib subdirectory.
  */
 
-;# $Id: Jmakefile 5 2006-08-25 22:09:39Z rmanfredi $
+;# $Id$
 ;#
 ;#  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 ;#  
diff -Nru dist-3.5-36.0001/mcon/files/d_function.U dist-3.5-236/mcon/files/d_function.U
--- dist-3.5-36.0001/mcon/files/d_function.U	2006-08-24 14:32:52.000000000 +0200
+++ dist-3.5-236/mcon/files/d_function.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: d_function.U 1 2006-08-24 12:32:52Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS:  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS:  
+?RCS:
 ?RCS:  You may redistribute only under the terms of the Artistic Licence,
 ?RCS:  as specified in the README file that comes with the distribution.
 ?RCS:  You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/files/dir.U dist-3.5-236/mcon/files/dir.U
--- dist-3.5-36.0001/mcon/files/dir.U	2006-08-24 14:32:52.000000000 +0200
+++ dist-3.5-236/mcon/files/dir.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: dir.U 1 2006-08-24 12:32:52Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS:  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS:  
+?RCS:
 ?RCS:  You may redistribute only under the terms of the Artistic Licence,
 ?RCS:  as specified in the README file that comes with the distribution.
 ?RCS:  You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/files/file.U dist-3.5-236/mcon/files/file.U
--- dist-3.5-36.0001/mcon/files/file.U	2006-08-24 14:32:52.000000000 +0200
+++ dist-3.5-236/mcon/files/file.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: file.U 1 2006-08-24 12:32:52Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS:  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS:  
+?RCS:
 ?RCS:  You may redistribute only under the terms of the Artistic Licence,
 ?RCS:  as specified in the README file that comes with the distribution.
 ?RCS:  You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/files/i_include.U dist-3.5-236/mcon/files/i_include.U
--- dist-3.5-36.0001/mcon/files/i_include.U	2006-08-24 14:32:52.000000000 +0200
+++ dist-3.5-236/mcon/files/i_include.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: i_include.U 1 2006-08-24 12:32:52Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS:  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS:  
+?RCS:
 ?RCS:  You may redistribute only under the terms of the Artistic Licence,
 ?RCS:  as specified in the README file that comes with the distribution.
 ?RCS:  You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/files/Internal.U dist-3.5-236/mcon/files/Internal.U
--- dist-3.5-36.0001/mcon/files/Internal.U	2006-08-24 14:32:52.000000000 +0200
+++ dist-3.5-236/mcon/files/Internal.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: Internal.U 1 2006-08-24 12:32:52Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS:  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS:  
+?RCS:
 ?RCS:  You may redistribute only under the terms of the Artistic Licence,
 ?RCS:  as specified in the README file that comes with the distribution.
 ?RCS:  You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/files/keyword.U dist-3.5-236/mcon/files/keyword.U
--- dist-3.5-36.0001/mcon/files/keyword.U	2006-08-24 14:32:52.000000000 +0200
+++ dist-3.5-236/mcon/files/keyword.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: keyword.U 1 2006-08-24 12:32:52Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS:  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS:  
+?RCS:
 ?RCS:  You may redistribute only under the terms of the Artistic Licence,
 ?RCS:  as specified in the README file that comes with the distribution.
 ?RCS:  You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/files/locate.U dist-3.5-236/mcon/files/locate.U
--- dist-3.5-36.0001/mcon/files/locate.U	2006-08-24 14:32:52.000000000 +0200
+++ dist-3.5-236/mcon/files/locate.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: locate.U 1 2006-08-24 12:32:52Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS:  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS:  
+?RCS:
 ?RCS:  You may redistribute only under the terms of the Artistic Licence,
 ?RCS:  as specified in the README file that comes with the distribution.
 ?RCS:  You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/files/question.U dist-3.5-236/mcon/files/question.U
--- dist-3.5-36.0001/mcon/files/question.U	2006-08-24 14:32:52.000000000 +0200
+++ dist-3.5-236/mcon/files/question.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: question.U 1 2006-08-24 12:32:52Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS:  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS:  
+?RCS:
 ?RCS:  You may redistribute only under the terms of the Artistic Licence,
 ?RCS:  as specified in the README file that comes with the distribution.
 ?RCS:  You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/files/rcshead.U dist-3.5-236/mcon/files/rcshead.U
--- dist-3.5-36.0001/mcon/files/rcshead.U	2006-08-24 14:32:52.000000000 +0200
+++ dist-3.5-236/mcon/files/rcshead.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: rcshead.U 1 2006-08-24 12:32:52Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS:  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS:  
+?RCS:
 ?RCS:  You may redistribute only under the terms of the Artistic Licence,
 ?RCS:  as specified in the README file that comes with the distribution.
 ?RCS:  You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/files/shell.U dist-3.5-236/mcon/files/shell.U
--- dist-3.5-36.0001/mcon/files/shell.U	2006-08-24 14:32:52.000000000 +0200
+++ dist-3.5-236/mcon/files/shell.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: shell.U 1 2006-08-24 12:32:52Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS:  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS:  
+?RCS:
 ?RCS:  You may redistribute only under the terms of the Artistic Licence,
 ?RCS:  as specified in the README file that comes with the distribution.
 ?RCS:  You may reuse parts of this distribution only within the terms of
diff -Nru dist-3.5-36.0001/mcon/files/type.U dist-3.5-236/mcon/files/type.U
--- dist-3.5-36.0001/mcon/files/type.U	2006-08-24 14:32:52.000000000 +0200
+++ dist-3.5-236/mcon/files/type.U	2017-10-24 22:43:40.000000000 +0200
@@ -1,7 +1,7 @@
-?RCS: $Id: type.U 1 2006-08-24 12:32:52Z rmanfredi $
+?RCS: $Id$
 ?RCS:
 ?RCS:  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
-?RCS:  
+?RCS:
 ?RCS:  You may redistribute only under the terms of the Artistic Licence,
 ?RCS:  as specified in the README file that comes with the distribution.
 ?RCS:  You may reuse parts of this distribution only within the terms of
@@ -15,7 +15,7 @@
 ?MAKE:uidtype: Myread Oldconfig contains usrinc
 ?MAKE:	-pick add $@ %<
 ?S:uidtype:
-?S:	This variable defines UIDTYPE to be something like uid_t, int, 
+?S:	This variable defines UIDTYPE to be something like uid_t, int,
 ?S:	ushort, or whatever type is used to declare user ids in the kernel.
 ?S:.
 ?C:Uid_t (UIDTYPE):
diff -Nru dist-3.5-36.0001/mcon/Jmakefile dist-3.5-236/mcon/Jmakefile
--- dist-3.5-36.0001/mcon/Jmakefile	2018-05-20 22:49:04.000000000 +0200
+++ dist-3.5-236/mcon/Jmakefile	2017-10-24 22:43:40.000000000 +0200
@@ -2,7 +2,7 @@
  * Jmakefile for metaconfig
  */
 
-;# $Id: Jmakefile 177 2014-04-08 10:42:18Z rmanfredi $
+;# $Id$
 ;#
 ;#  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 ;#  
diff -Nru dist-3.5-36.0001/mcon/makegloss.SH dist-3.5-236/mcon/makegloss.SH
--- dist-3.5-36.0001/mcon/makegloss.SH	2008-05-28 10:01:59.000000000 +0200
+++ dist-3.5-236/mcon/makegloss.SH	2017-10-24 22:43:40.000000000 +0200
@@ -22,7 +22,7 @@
 
 !GROK!THIS!
 $spitshell >>makegloss <<'!NO!SUBS!'
-# $Id: makegloss.SH 22 2008-05-28 08:01:59Z rmanfredi $
+# $Id$
 #
 #  Copyright (c) 1991-1997, 2004-2006, Raphael Manfredi
 #  
